summaryrefslogtreecommitdiffstats
path: root/source/n/netkit-rusers
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/n/netkit-rusers
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/n/netkit-rusers')
-rw-r--r--source/n/netkit-rusers/netkit-rusers-0.17.diff20
-rwxr-xr-xsource/n/netkit-rusers/netkit-rusers.SlackBuild74
-rw-r--r--source/n/netkit-rusers/slack-desc19
3 files changed, 113 insertions, 0 deletions
diff --git a/source/n/netkit-rusers/netkit-rusers-0.17.diff b/source/n/netkit-rusers/netkit-rusers-0.17.diff
new file mode 100644
index 000000000..d0a8cf3c3
--- /dev/null
+++ b/source/n/netkit-rusers/netkit-rusers-0.17.diff
@@ -0,0 +1,20 @@
+--- ./rpc.rusersd/rusers_proc.c.orig Sun Feb 25 18:16:07 2001
++++ ./rpc.rusersd/rusers_proc.c Sun Feb 25 18:16:18 2001
+@@ -32,6 +32,7 @@
+ #include <signal.h>
+ #include <sys/types.h>
+ #include <sys/time.h>
++#include <time.h>
+ #include <utmp.h>
+ #include <stdio.h>
+ #include <syslog.h>
+--- ./rusers/rusers.c.orig Sun Feb 25 18:16:48 2001
++++ ./rusers/rusers.c Sun Feb 25 18:17:07 2001
+@@ -44,6 +44,7 @@
+ #include <utmp.h>
+ #include <stdlib.h>
+ #include <unistd.h>
++#include <time.h>
+
+ #include "../version.h"
+
diff --git a/source/n/netkit-rusers/netkit-rusers.SlackBuild b/source/n/netkit-rusers/netkit-rusers.SlackBuild
new file mode 100755
index 000000000..2c87797cd
--- /dev/null
+++ b/source/n/netkit-rusers/netkit-rusers.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Copyright 2007-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.17
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-netkit-rusers
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+tar xzvf $CWD/netkit-rusers-$VERSION.tar.gz
+cd netkit-rusers-$VERSION
+chown -R root:root .
+zcat $CWD/netkit-rusers-0.17.diff.gz | patch -p1 || exit 1
+./configure --prefix=/usr
+make || exit
+cd rpc.rusersd
+strip rusersd
+mkdir -p $PKG/usr/sbin
+cat rusersd > $PKG/usr/sbin/rpc.rusersd
+chmod 755 $PKG/usr/sbin/rpc.rusersd
+mkdir -p $PKG/usr/man/man8
+cat rpc.rusersd.8 | gzip -9c > $PKG/usr/man/man8/rpc.rusersd.8.gz
+cd ../rusers
+strip rusers
+mkdir -p $PKG/usr/bin
+cat rusers > $PKG/usr/bin/rusers
+chmod 755 $PKG/usr/bin/rusers
+mkdir -p $PKG/usr/man/man1
+cat rusers.1 | gzip -9c > $PKG/usr/man/man1/rusers.1.gz
+cd ../rup
+strip rup
+cat rup > $PKG/usr/bin/rup
+chmod 755 $PKG/usr/bin/rup
+cat rup.1 | gzip -9c > $PKG/usr/man/man1/rup.1.gz
+cd ..
+mkdir -p $PKG/usr/doc/netkit-rusers-$VERSION
+cp -a README $PKG/usr/doc/netkit-rusers-$VERSION
+chown root:root $PKG/usr/doc/netkit-rusers-$VERSION/*
+chmod 644 $PKG/usr/doc/netkit-rusers-$VERSION/*
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/netkit-rusers-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/netkit-rusers/slack-desc b/source/n/netkit-rusers/slack-desc
new file mode 100644
index 000000000..f3719be14
--- /dev/null
+++ b/source/n/netkit-rusers/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+netkit-rusers: netkit-rusers (show users logged in to machines on local network)
+netkit-rusers:
+netkit-rusers: The rusers command produces output similar to who, but for the list
+netkit-rusers: of hosts or all machines on the local network. For each host
+netkit-rusers: responding to the rusers query, the hostname with the names of the
+netkit-rusers: users currently logged on is printed on each line. The rusers
+netkit-rusers: command will wait for one minute to catch late responders.
+netkit-rusers:
+netkit-rusers: Portmap and rpc.rusersd must be running on remote machines. Should
+netkit-rusers: probably be considered insecure (or at least ill-advised) on public
+netkit-rusers: networks.